package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SnServerTemplate;
import org.apache.ibatis.annotations.Param;

public interface SnServerTemplateMapper
{
    SnServerTemplate getOwnLast(@Param("serverId") final Long p0, @Param("createId") final Long p1);
    
    SnServerTemplate selectSnServerTemplateById(final Long p0);
    
    List<SnServerTemplate> selectSnServerTemplateList(final SnServerTemplate p0);
    
    int insertSnServerTemplate(final SnServerTemplate p0);
    
    int updateSnServerTemplate(final SnServerTemplate p0);
    
    int deleteSnServerTemplateById(final Long p0);
    
    int deleteSnServerTemplateByIds(final Long[] p0);
    
    void deleteSnServerTemplateByServerIds(final Long[] p0);
    
    int deleteSnServerTemplateByIdsV2(@Param("ids") final Long[] p0, @Param("createId") final Long p1);
    
    void deleteSnServerTemplateByServerIdsV2(@Param("ids") final Long[] p0);
}
